

drivers/pci/quirks.c:pci_msi_quirk is only defined if CONFIG_X86_IO_APIC, but
msi_init() unconditionally uses it.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/pci/pci.h |    7 ++++++-
 1 files changed, 6 insertions(+), 1 deletion(-)

diff -puN drivers/pci/pci.h~ia64-msi-build-fix drivers/pci/pci.h
--- 25/drivers/pci/pci.h~ia64-msi-build-fix	Sat Mar 12 18:13:37 2005
+++ 25-akpm/drivers/pci/pci.h	Sat Mar 12 18:14:23 2005
@@ -64,8 +64,13 @@ extern void pci_remove_legacy_files(stru
 /* Lock for read/write access to pci device and bus lists */
 extern spinlock_t pci_bus_lock;
 
-extern int pcie_mch_quirk;
+#ifdef CONFIG_X86_IO_APIC
 extern int pci_msi_quirk;
+#else
+#define pci_msi_quirk 0
+#endif
+
+extern int pcie_mch_quirk;
 extern struct device_attribute pci_dev_attrs[];
 extern struct class_device_attribute class_device_attr_cpuaffinity;
 
_
